Page MenuHomePhabricator

[libc++] Use builtins in more math.h functions.
ClosedPublic

Authored by TokarIP on Oct 5 2020, 2:27 PM.

Details

Reviewers
EricWF
ldionne
Group Reviewers
Restricted Project
Commits
rGc81d52997ac0: [libc++] Use builtins in more math.h functions.
Summary

Not using builtins doesn't always imply worse code,
but for e. g. isinf, this is 30%+ faster.

Before:
name time/op
BM_isinf 2.14ns ± 2%

After:
name time/op
BM_isinf 1.33ns ± 2%

Diff Detail

Event Timeline

TokarIP requested review of this revision.Oct 5 2020, 2:27 PM
TokarIP created this revision.
ldionne set the repository for this revision to rG LLVM Github Monorepo.Feb 5 2021, 12:19 PM
Herald added a project: Restricted Project. · View Herald TranscriptFeb 5 2021, 12:19 PM
Herald added a reviewer: Restricted Project. · View Herald Transcript
ldionne accepted this revision.Feb 5 2021, 12:22 PM
ldionne added a subscriber: ldionne.

Can you re-upload with arc diff to trigger CI? This LGTM if CI passes. And indeed, that would supersede https://reviews.llvm.org/D96121.

This revision is now accepted and ready to land.Feb 5 2021, 12:22 PM
qiucf added a subscriber: qiucf.Feb 6 2021, 10:02 PM
TokarIP updated this revision to Diff 322214.EditedFeb 8 2021, 2:07 PM

Updated via arc. Also added missing fpclassify

ldionne accepted this revision.Feb 9 2021, 9:15 AM

You can go ahead and land this!

This revision was automatically updated to reflect the committed changes.